---
kind: pipeline
type: docker
name: cleanup-before

steps:
  - name: clean
    image: alpine
    commands:
      - rm -rf /build/*
    volumes:
      - name: build
        path: /build
    when:
      event: tag

volumes:
  - name: build
    host:
      path: /tmp/go-aptproxy/build

---
kind: pipeline
type: docker
name: default-linux-amd64

steps:
  - name: build
    image: golang
    commands:
      - ./ci-build.sh build
    environment:
      GOOS: linux
      GOARCH: amd64
    volumes:
      - name: build
        path: /build

volumes:
  - name: build
    host:
      path: /tmp/go-aptproxy/build

depends_on:
  - cleanup-before

---
kind: pipeline
type: docker
name: default-linux-arm64

steps:
  - name: build
    image: golang
    commands:
      - ./ci-build.sh build
    environment:
      GOOS: linux
      GOARCH: arm64
    volumes:
      - name: build
        path: /build

volumes:
  - name: build
    host:
      path: /tmp/go-aptproxy/build

depends_on:
  - cleanup-before

---
kind: pipeline
type: docker
name: gitea-release

steps:
  - name: move
    image: alpine
    commands:
      - mv build/* ./
    volumes:
      - name: build
        path: /drone/src/build
    when:
      event: tag
  - name: release
    image: plugins/gitea-release
    settings:
      base_url: https://git.paulbsd.com
      api_key:
        from_secret: gitea_token
      files: "*.tar.gz"
      checksum:
        - sha256
        - sha512
      title: VERSION
    volumes:
      - name: build
        path: /drone/src/build
    when:
      event: tag
  - name: ls
    image: alpine
    commands:
      - find .
    volumes:
      - name: build
        path: /drone/src/build
    when:
      event: tag

volumes:
  - name: build
    host:
      path: /tmp/go-aptproxy/build

depends_on:
  - default-linux-amd64
  - default-linux-arm64

---
kind: pipeline
type: docker
name: cleanup-after

steps:
  - name: clean
    image: alpine
    commands:
      - rm -rf /build/*
    volumes:
      - name: build
        path: /build
    when:
      event: tag

volumes:
  - name: build
    host:
      path: /tmp/go-aptproxy/build

depends_on:
  - gitea-release
